/**
 * 请求拦截
 * @param {Object} http
 */
module.exports = (vm) => {
	uni.$u.http.interceptors.request.use((config) => { // 可使用async await 做异步操作
			// 可以在此通过vm引用vuex中的变量，具体值在vm.$store.state中
			if (vm.vuex_token) {
				config.header.Authorization = `Bearer ${vm.vuex_token}`;
			}
			// url加时间戳
			config.url = config.url + '?t=' + Date.now()
			let noTokenList = [''];
			if (noTokenList.includes(config.url)) config.header.noToken = true;
			return config;
		}, (config) => // 可使用async await 做异步操作
		Promise.reject(config))
}
